Bug 772202 (CVE-2012-0030) - CVE-2012-0030 openstack-nova: Tenant bypass by authenticated users using OpenStack API
Summary: CVE-2012-0030 openstack-nova: Tenant bypass by authenticated users using Open...
Status: CLOSED ERRATA
Alias: CVE-2012-0030
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20120111,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-06 12:33 UTC by Pádraig Brady
Modified: 2019-06-08 19:00 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-10 00:58:22 UTC


Attachments (Terms of Use)
proposed upstream patch to fix the flaw (1.73 KB, patch)
2012-01-06 18:43 UTC, Vincent Danen
no flags Details | Diff
proposed upstream patch that also fixes the unit tests (88.12 KB, patch)
2012-01-06 18:44 UTC, Vincent Danen
no flags Details | Diff
backported patch from upstream against 2011.3 (2.02 KB, patch)
2012-01-06 18:46 UTC, Vincent Danen
no flags Details | Diff
preliminary backported patch from upstream against 2011.3 for unit test fixes (64.80 KB, patch)
2012-01-06 18:47 UTC, Vincent Danen
no flags Details | Diff
diablo-cve-2012-0030.patch (73.10 KB, patch)
2012-01-10 00:37 UTC, Mark McLoughlin
no flags Details | Diff

Description Pádraig Brady 2012-01-06 12:33:27 UTC
Nachi Ueno (NTT PF lab), Rohit Karajgi (Vertex) and Venkatesan Ravikumar
(HP) discovered a vulnerability in Nova API nodes handling of incoming
requests. An authenticated user may craft malicious commands to affect
resources on tenants he is not a member of, potentially leading to
incorrect billing, quota escaping or compromise of computing resources
created by a third-party. Only setups allowing the OpenStack API are
affected.

We expect to have patch for our Diablo version released in F16 and EPEL,
early next week.

A CVE number is pending.

Proposed public disclosure date/time:
Wednesday, January 11, 2012, 1500UTC

Comment 1 Vincent Danen 2012-01-06 18:43:27 UTC
Created attachment 551231 [details]
proposed upstream patch to fix the flaw

This is the minimal patch that corrects the flaw, but breaks the unit tests.

Comment 2 Vincent Danen 2012-01-06 18:44:03 UTC
Created attachment 551232 [details]
proposed upstream patch that also fixes the unit tests

Comment 3 Vincent Danen 2012-01-06 18:46:46 UTC
Created attachment 551233 [details]
backported patch from upstream against 2011.3

This is a backported patch provided by Jamie Strandboge, again with unit test breakage.

Comment 4 Vincent Danen 2012-01-06 18:47:29 UTC
Created attachment 551235 [details]
preliminary backported patch from upstream against 2011.3 for unit test fixes

Comment 5 Mark McLoughlin 2012-01-06 18:56:00 UTC
As the upstream stable branch maintainer, I'll be backporting the full fix and applying it to the stable branch at disclosure time. I'll make that patch available in advance

Comment 7 Vincent Danen 2012-01-06 19:03:44 UTC
Mark, that sounds great.  So Fedora will just rebase to the latest upstream stable version on disclosure?

Comment 8 Mark McLoughlin 2012-01-06 19:59:57 UTC
(In reply to comment #7)
> Mark, that sounds great.  So Fedora will just rebase to the latest upstream
> stable version on disclosure?

Yeah, the latest package release is actually based on the latest revision of the stable branch. So, we'll just be pulling in a single new patch.

Comment 9 Mark McLoughlin 2012-01-10 00:37:08 UTC
Created attachment 551729 [details]
diablo-cve-2012-0030.patch

Here's a version of the patch which applies against our F-16 tree. This is what will be pushed to the upstream stable/diablo branch

Comment 10 Pádraig Brady 2012-01-10 09:49:56 UTC
Thanks Mark.
I'll apply that tomorrow at 15:00UTC.
I also have other unrelated tweaks that need to go in the update.

Comment 11 Vincent Danen 2012-01-12 03:46:24 UTC
This is now public:

https://github.com/openstack/nova/commit/c9c09bd60e7a0e0258d218a31d7878755bea1395

Comment 12 Vincent Danen 2012-01-12 03:47:39 UTC
openstack-nova-2011.3-19.el6 has been submitted as an update for EPEL6.

http://koji.fedoraproject.org/koji/buildinfo?buildID=282783

openstack-nova-2011.3-19.fc16 has been submitted as an update for Fedora 16:

http://koji.fedoraproject.org/koji/buildinfo?buildID=282782


Note You need to log in before you can comment on or make changes to this bug.